# HydraPerly

HydraPerly is a Java program that simulates a battle between a brave knight named PyPy and a magical creature called Hydra. The knight must defeat the Hydra by cutting off all its heads and tails.

## How to Run

To run the HydraPerly program, follow these steps:

1. Ensure you have Java installed on your system.
2. Copy the provided code into a Java file (e.g., HydraPerly.java).
3. Compile the Java file using the Java compiler:
    ```bash
    javac HydraPerly.java
    ```
4. Run the compiled program:
    ```bash
    java HydraPerly
    ```

## Gameplay

1. Upon running the program, you will be prompted to enter the number of Hydra heads and tails.
2. You must enter non-negative integers for the number of heads and tails.
3. After inputting the initial configuration, the program will prompt you to choose a move:
    - Cut off one head
    - Cut off one tail
    - Cut off two heads
    - Cut off two tails
    - Give up and show minimum moves to kill Hydra (if possible)
4. Depending on your choice, the program will update the status of the Hydra and display the remaining heads and tails.
5. The game continues until either all heads and tails are eliminated, or you choose to give up and display the minimum moves required to defeat the Hydra.

## Features

- Input validation: Ensures that the user enters valid non-negative integers for the number of heads and tails.
- Move selection: Allows the user to choose from four different moves to attack the Hydra.
- Real-time updates: Displays the current status of the Hydra after each move.
- Victory condition: Celebrates victory when all heads and tails are eliminated.

## Note

Futher modifications maybe needed to be fully implemented in production
